Xerces-C++: DOMXPathException Class Reference

# DOMXPathException Class Reference

Inheritance diagram for DOMXPathException:

List of all members.

## Public Types
enum | ExceptionCode { INVALID_EXPRESSION_ERR = 51, TYPE_ERR = 52, NO_RESULT_ERROR = 53 }
| ExceptionCode INVALID_EXPRESSION_ERR The expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `DOMXPathEvaluator` or contains specialized extension functions or variables not supported by this implementation. More...
## Public Member Functions
Constructors
| DOMXPathException ()
| Default constructor for DOMXPathException.
| DOMXPathException (short code, short messageCode=0, MemoryManager *const memoryManager=XMLPlatformUtils::fgMemoryManager)
| Constructor which takes an error code and a message.
| DOMXPathException (const DOMXPathException &other)
| Copy constructor.
Destructor.
virtual | ~DOMXPathException ()
| Destructor for DOMXPathException.

## Detailed Description

Since:
  DOM Level 3

## Member Enumeration Documentation

enum DOMXPathException::ExceptionCode

ExceptionCode
INVALID_EXPRESSION_ERR The expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `DOMXPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.

TYPE_ERR The expression cannot be converted to return the specified type.
NO_RESULT_ERROR There is no current result in the result object.

Enumerator:

  INVALID_EXPRESSION_ERR |
  TYPE_ERR |
  NO_RESULT_ERROR |

Reimplemented from DOMException.

## Constructor & Destructor Documentation

DOMXPathException::DOMXPathException | ( |  | ) |

Default constructor for DOMXPathException.

DOMXPathException::DOMXPathException | ( | short | code,
|  | short | messageCode = `0`,
|  | MemoryManager *const | memoryManager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructor which takes an error code and a message.

Parameters:

  | code | The error code which indicates the exception
  | messageCode | The string containing the error message
  | memoryManager | The memory manager used to (de)allocate memory

DOMXPathException::DOMXPathException | ( | const DOMXPathException & | other | ) |

Copy constructor.

Parameters:

  | other | The object to be copied.

virtual DOMXPathException::~DOMXPathException | ( |  | ) | `[virtual]`

Destructor for DOMXPathException.

The documentation for this class was generated from the following file:

- DOMXPathException.hpp